Name:		sarg
Version:	1.4.1
Release:	5
Summary:	Squid usage report generator per user/ip/name
Group:		System Environment/Daemons
License:	GPL
URL:		http://web.onda.com.br/orso/%{name}.html
Source0:	http://web.onda.com.br/orso/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	squid-reports.conf
Source3:	%{name}-daily
Source4:	%{name}-weekly
Source5:	%{name}-monthly
Source6:	%{name}.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl
Requires:	squid httpd
Obsoletes:	sqmgrlog

%description
Sarg (formerly Sqmgrlog) generates reports per user/ip/name from SQUID log file.
The reports are generated in HTML or email.


%prep
%setup


%build
./configure	--enable-bindir=%{_sbindir} \
		--enable-mandir=%{_mandir}/man1 \
		--enable-sysconfdir=%{_sysconfdir}/%{name}
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/squid-reports/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/squid-reports/ONE-SHOT/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/squid-reports/daily/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/squid-reports/weekly/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/squid-reports/monthly/

make	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	install

cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/.
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/.
cp %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/.
cp %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}/.
cp %{SOURCE5} $RPM_BUILD_ROOT%{_sbindir}/.
cp %{SOURCE6} $RPM_BUILD_ROOT%{_localstatedir}/www/squid-reports/index.html

# Remove old config
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf.default


%post
if [ $1 = 1 ]; then
  /sbin/service httpd condrestart > /dev/null
  echo "Generating reports on first install, wait please."
  %{_sbindir}/%{name}
  %{_sbindir}/%{name}-daily
  %{_sbindir}/%{name}-weekly
  %{_sbindir}/%{name}-monthly
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CONTRIBUTORS ChangeLog DONATIONS README
%config %{_sysconfdir}/%{name}/%{name}.conf
%config %{_sysconfdir}/%{name}/exclude_codes
%config %{_sysconfdir}/httpd/conf.d/squid-reports.conf
%{_sysconfdir}/%{name}/languages/
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}-daily
%attr(0755,root,root) %{_sbindir}/%{name}-weekly
%attr(0755,root,root) %{_sbindir}/%{name}-monthly
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*
%{_localstatedir}/www/squid-reports/


%changelog
* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on FC-1

* Thu May 1 2003 Petr Kritof <Petr|Kristof_CZ>
- Cron fixies

* Sun Apr 13 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-8.0
- Add logrotate scripts
- Add own sarg.conf
- Upgrade to SARG 1.4

* Sun May 12 2002 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-7.3
- Upgrading to sqmgrlog 3.0.1

